NETPoint Struct Reference

`#include <netwm_def.h>`

## Public Member Functions

| NETPoint ()

## Public Attributes

int | x
int | y

## Detailed Description

Simple point class for NET classes.

This class is a convenience class defining a point x, y. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETPoint is only used by the NET API. Usually QPoint is the appropriate class for representing a point.

Author
  Bradley T. Hughes bhugh.nosp@m.es@t.nosp@m.rollt.nosp@m.ech..nosp@m.com

Definition at line 44 of file netwm_def.h.

## Constructor & Destructor Documentation

NETPoint::NETPoint | ( |  | ) |

inline

Constructor to initialize this point to 0,0.

Definition at line 48 of file netwm_def.h.

## Member Data Documentation

int NETPoint::x

x coordinate.

Definition at line 53 of file netwm_def.h.

int NETPoint::y

y coordinate

Definition at line 53 of file netwm_def.h.

The documentation for this struct was generated from the following file:

- netwm_def.h

KDE Home | KDE Accessibility Home | Description of Access Keys